
package de.ivu.elect.business.wahlausschuss.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.wahlausschuss.entity.WahlausschussEntschaedigung;
import de.ivu.elect.business.wahlausschuss.boundary.WahlausschussEntschaedigungDAO;
import de.ivu.elect.business.wahlausschuss.boundary.WahlausschussEntschaedigungCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWahlausschussEntschaedigungCreate {

  @Inject
  protected WahlausschussEntschaedigungDAO dao;

    @Inject
    transient Event<WahlausschussEntschaedigungCreateEvent> createEvent;



  


public void save(WahlausschussEntschaedigung entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(WahlausschussEntschaedigung entity) {
        createEvent.fire(new WahlausschussEntschaedigungCreateEvent(entity));
  }

}
